using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace _0002 {
 public partial class Default : System.Web.UI.Page {
  protected void Page_Load(object sender, EventArgs e) {
   //создаем экземпляр класса, который находится в файле,
   //имеющий в своем названии слово Context
   //в нашем примере это zzzModel.Context.cs
   var db = new zzzModelContainer();

   //ввод данных в таблицу BookSet
   db.BookSet.Add(new Book { Name="Мертвые души", Amount=5, Price=10.25m });
   db.BookSet.Add(new Book { Name="Дубровский", Amount=10, Price=12.45m });
   db.BookSet.Add(new Book { Name="Вечера на хутрое", Amount=15, Price=13.85m });
   db.BookSet.Add(new Book { Name="Мцыри", Amount=20, Price=18.15m });
   db.BookSet.Add(new Book { Name="Онегин", Amount=25, Price=21.70m });

   //сохраняем данные
   db.SaveChanges();

   //вывод данных
   foreach(var i in db.BookSet) {
    Label1.Text += i.Name.ToString() + " " + i.Amount.ToString() + " " + Convert.ToString(string.Format("{0:f2}", i.Price)) + "<br />";
   }

   var query = 
   from val in db.BookSet
   select val;
   foreach(var i in db.BookSet) {
    Label2.Text += i.Name.ToString() + " " + i.Amount.ToString() + " " + Convert.ToString(string.Format("{0:f2}", i.Price)) + "<br />";
   }
  }
 }
}